{ lib
, nixosTests
, protobuf
, rustPlatform
}:

rustPlatform.buildRustPackage {
  pname = "pict-rs-proxy";
  version = "0.5.0-alpha.1";
  src = ./.;
  cargoLock.lockFile = ./Cargo.lock;

  PROTOC = "${protobuf}/bin/protoc";
  PROTOC_INCLUDE = "${protobuf}/include";

  nativeBuildInputs = [ ];

  passthru.tests = { inherit (nixosTests) pict-rs-proxy; };

  meta = with lib; {
    description = "A simple image hosting service";
    homepage = "https://git.asonix.dog/asonix/pict-rs-proxy";
    license = with licenses; [ agpl3Plus ];
  };
}
